## LassoSamlp2AuthzDecisionQuery LassoSamlp2AuthzDecisionQuery — <samlp2:AuthzDecisionQuery> |

## Functions

LassoNode * | lasso_samlp2_authz_decision_query_new ()

## Types and Values

struct | LassoSamlp2AuthzDecisionQuery

## Description

Figure 73. Schema fragment for samlp2:AuthzDecisionQuery

    <complexType name="AuthzDecisionQueryType">
      <complexContent>
        <extension base="samlp:SubjectQueryAbstractType">
          <sequence>
            <element ref="saml:Action" maxOccurs="unbounded"/>
            <element ref="saml:Evidence" minOccurs="0"/>
          </sequence>
          <attribute name="Resource" type="anyURI" use="required"/>
        </extension>
      </complexContent>
    </complexType>

## Functions

### lasso_samlp2_authz_decision_query_new ()

    LassoNode *
    lasso_samlp2_authz_decision_query_new (void);

Creates a new LassoSamlp2AuthzDecisionQuery object.

#### Returns

a newly created LassoSamlp2AuthzDecisionQuery object

## Types and Values

### struct LassoSamlp2AuthzDecisionQuery

    struct LassoSamlp2AuthzDecisionQuery {
    	LassoSamlp2SubjectQueryAbstract parent;

    	/* elements */
    	LassoSaml2Action *Action;
    	LassoSaml2Evidence *Evidence;
    	/* attributes */
    	char *Resource;
    };